API Resources

GET
/v3/backup/{index}

Request a link to the backup of an index

Return an object including a download URL for an existing specific offline backup.

The V4 equivalent is /v4/backup/{feed}, which returns download URLs for advisory feed backups.

Attributes

index
string required
Name of an exploit, vulnerability, or advisory index

Example Requests

curl --request GET \
    --url https://api.vulncheck.com/v3/backup/initial-access \
    --header 'Accept: application/json' \
    --header 'Authorization: Bearer insert_token_here'

Response

{
  "_benchmark": 1.306805,
  "_meta": {
    "timestamp": "2023-08-31T21:54:41.17981965Z",
    "index": "initial-access"
  },
  "data": [
    {
      "filename": "initial-access-1693513207700526476.zip",
      "sha256": "fa79043f2bcbaf96767c78fe3180f73dd48298d1b895ba41cccdaa95d35258d5",
      "date_added": "2023-08-31T20:20:07.7Z",
      "url": "https://serve.vulncheck.com/latest/initial-access-1693513207700526476.zip?x-vc-req-id=...&Expires=...&Signature=...&Key-Pair-Id=...",
      "url_ttl_minutes": 15,
      "url_expires": "2023-08-31T22:09:41.17Z"
    }
  ]
}